#ifdef WIN32
#pragma comment(lib, "SDL.lib")
#pragma comment(lib, "SDLmain.lib")
#pragma comment(lib, "sdlgfx.lib")
#endif

#include "sphere.h"
#include "rectangle.h"  

void show(SDL_Surface *screen) {
	stringRGBA(screen,10,10,"Projekt nr 3 - Kamil Derynski - IN2 - wyjscie ESC",255,255,255,255);
	
	stringRGBA(screen,20,30,"Kula (1,2,3) , powierzchnia paska (4): ",255,255,255,255);

	stringRGBA(screen,10,155,"Opis: rozp: 0.62, 0.42, 0.22; kier: 0.72(const); n - 3",255,255,255,255);
	CSphere *cos0 = new CSphere(0.62, 0.72, 3,100, 100, 44, screen);
	CSphere *cos1 = new CSphere(0.42, 0.72, 3,250, 100, 44, screen);
	CSphere *cos2 = new CSphere(0.22, 0.72, 3,400, 100, 44, screen);
	CRectangle *cos9 = new CRectangle(0.22, 0.72, 3,550, 100, 44, screen);
	
	stringRGBA(screen,10,285,"Opis: rozp: 0.62(const); kier: 0.90, 0.50, 0.32; n - 3",255,255,255,255);
	CSphere *cos3 = new CSphere(0.62, 0.90, 3,100, 220, 44, screen);
	CSphere *cos4 = new CSphere(0.62, 0.50, 3,250, 220, 44, screen);
	CSphere *cos5 = new CSphere(0.62, 0.32, 3,400, 220, 44, screen);
	CRectangle *cos10 = new CRectangle(0.62, 0.32, 3,550, 220, 44, screen);
	
	stringRGBA(screen,10,405,"Opis: rozp: 0.62(const); kier: 0.72(const); n: 10, 100, 1000",255,255,255,255);
	CSphere *cos6 = new CSphere(0.62, 0.72,10,100, 350, 44, screen);
	CSphere *cos7 = new CSphere(0.62, 0.72,100,250, 350, 44, screen);
	CSphere *cos8 = new CSphere(0.62, 0.72,1000,400, 350, 44, screen);
	CRectangle *cos11 = new CRectangle(0.62, 0.72,1000,550, 350, 44, screen);
}

int main(int argc, char **argv) {
	if ( SDL_Init(SDL_INIT_VIDEO) < 0 ) {
		SDL_Quit();
		exit(1);
	}
	
	SDL_Surface *screen;
	screen = SDL_SetVideoMode(640, 480, 32, SDL_HWACCEL);
	
	if ( screen == NULL ) exit(1);

	SDL_WM_SetCaption( "Phong - Kamil Derynski - GR2 INF", 0 );
	
	//SDL_FillRect(screen,NULL,4294967295);
	SDL_FillRect(screen,NULL,0);
	show(screen); /////////
	SDL_UpdateRect (screen, 0, 0, 640, 480);
	while (1) {
		SDL_Event event;
		
		while (SDL_PollEvent(&event)) {
			switch (event.type) {
				case SDL_KEYUP:          
					switch (event.key.keysym.sym) {
					case SDLK_ESCAPE:
						return 0;
					}
					break;
				case SDL_QUIT:
					return(0);
			}//switch(event...
		}//while(SDL...
	} //while(1)
	
	SDL_Quit();
}