#include "shadeObject.h"

CShadeObject::CShadeObject() {}

//obliczanie iloczynow wektorowych wektora L*N  i cos^n(kat) - kierunkowy czynnik
void CShadeObject::CalculateLNandNnH(short x, short y, short z, 
								short SpecIndex, 
								float xn, float yn, float zn, 
								float *LdotN, float *dist, float *NnH) {
	
	float NH;
	*LdotN = xn*Lx + yn*Ly + zn*Lz;
	if (LdotN <= 0)
		LdotN = 0;
	else {
		*dist = sqrt((dx - x)*(dx - x) + (dy - y)*(dy - y) + (dz - z)*(dz - z));
		NH = Hx*xn + Hy*yn + Hz*zn;
		if (NH<0)
			NH = -NH;
		*NnH = exp(SpecIndex*log(NH));
	}
}