#ifndef _SHADE_OBJECT_
#define _SHADE_OBJECT_

#include "SDL.h"
#include "SDL_gfxPrimitives.h"
#include <math.h>
#include <stdio.h>
#include <stdlib.h>

class CShadeObject {
protected:
	double IaKa;
	double Hx , Hy , Hz;
	short Ilight;
	double K;
	double dx , dy , dz;
	double Lx , Ly , Lz;

	void CalculateLNandNnH( short x,  short y, short z, short SpecIndex,
							float xn, float yn, float zn,
							float *LdotN, float *dist, float *NnH);

public:
	CShadeObject();

	CShadeObject(	double Kd, double Ks, short SpecIndex, 
					short Xcentre, short Ycentre, short radius, 
					SDL_Surface *screen	);
};
#endif